/*
    PPCanvasView_Notifications.m

    Copyright 2013-2016 Josh Freeman
    http://www.twilightedge.com

    This file is part of PikoPixel for Mac OS X and GNUstep.
    PikoPixel is a graphical application for drawing & editing pixel-art images.

    PikoPixel is free software: you can redistribute it and/or modify
    it under the terms of the GNU Affero General Public License version 3,
    as published by the Free Software Foundation.

    PikoPixel is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Affero General Public License for more details.

    You should have received a copy of the GNU Affero General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#import "PPCanvasView_Notifications.h"


NSString *PPCanvasViewNotification_ChangedZoomFactor =
                                                @"PPCanvasViewNotification_ChangedZoomFactor";

NSString *PPCanvasViewNotification_UpdatedNormalizedVisibleBounds =
                                    @"PPCanvasViewNotification_UpdatedNormalizedVisibleBounds";


NSString *PPCanvasViewNotification_UserInfoKey_NormalizedVisibleBounds =
                            @"PPCanvasViewNotification_UserInfoKey_NormalizedVisibleBounds";


@implementation PPCanvasView (Notifications)

- (void) postNotification_ChangedZoomFactor
{
    [[NSNotificationCenter defaultCenter] postNotificationName:
                                                    PPCanvasViewNotification_ChangedZoomFactor
                                            object: self];
}

- (void) postNotification_UpdatedNormalizedVisibleBounds
{
    NSDictionary *userInfo =
        [NSDictionary dictionaryWithObject:
                                    [NSValue valueWithRect: [self normalizedVisibleBounds]]
                        forKey: PPCanvasViewNotification_UserInfoKey_NormalizedVisibleBounds];

    [[NSNotificationCenter defaultCenter]
                                postNotificationName:
                                        PPCanvasViewNotification_UpdatedNormalizedVisibleBounds
                                object: self
                                userInfo: userInfo];
}

@end
